;****************************************************************************************

;Befehl: DP                  = Drucken mit FreePDF
;Vorgabe Plotformat          = A3
;Vorgabe Ausrichtung         = Ouer
;Vorgabe Plotmastab         = Anpassen
;Vorgabe Potstiltabellenname = Linien_Reduziert.ctb
;INFO: FULLPLOTPATH 0        = Dateiname ohne Pfad vorne dran

(defun c:DP (/ LuE RoE)
 (defun *error* (msg) (princ msg)(princ) )
 (setvar "cmdecho" 0)
 (setvar "osmode" 109)
  
 (INITGET "H Q")
 (setq Ausrichtung (getkword (strcat "Ausrichtung: (H)och oder (Q)uer  <Q>: ")))
 (if (or (= Ausrichtung nil) (= Ausrichtung ""))
  (setq Ausrichtung "Quer")
  (setq Ausrichtung "Hoch")
 )
 (princ (strcat "Die Ausrichtung ist: "Ausrichtung"\n"))
  
 (INITGET "O R")
 (setq Plots (getkword (strcat "Plotstil: (O)riginal oder (R)eduziert <R>: ")))
 (if (or (= Plots nil) (= Plots ""))
  (setq Plotstil "Linien_Reduziert.ctb")
  (setq Plotstil "Linien_Original.ctb")
 )
 (princ (strcat "Der Plotstil ist: "Plotstil"\n"))

 (INITGET "4 3")
  (setq Format (getreal (strcat "Format: A(4) oder A(3) <3>: ")))
  (if (or (= Format nil) (= Format ""))
   (setq Format "A3")		;genau die komplette Zeile wie unter Papieformat z.B "A3" oder ISO A3 (420.00 x 297.00 mm)
   (setq Format "A4")		;genau die komplette Zeile wie unter Papieformat z.B "A4" oder ISO A4 (297.00 x 210.00 mm)
  )
 (princ (strcat "Das Format ist: "Format"\n"))
  
 (setq LuE (getpoint "\nLinke untere Fensterecke whlen: "))
 (setq RoE (getcorner LuE "\nRechte obere Fensterecke whlen: "))
 
 (command
  "_.-plot"			;Befehl: -plot
  "_yes"			;Detaillierte Plotkonfiguration? [Ja/Nein] <Nein>: J
  "Modell"			;Layoutnamen eingeben oder [?] <Modell>: Vorgabe bernehmen
  "FreePDF.pc3"			;Ausgabegertname eingeben oder [?] <Brother DCP-6690CW.pc3>: FreePDF.pc3
  Format			;Papierformat angeben oder [?] <A3>: A3
  "Millimeter"			;Papiereinheiten angeben [Zoll/Millimeter] <Millimeter>: M
  Ausrichtung			;Ausrichtung der Zeichnung angeben [Hochformat/Querformat] <Querformat>: Q
  "_no"				;Auf dem Kopf plotten? [Ja/Nein] <Nein>: N
  "Fenster" LuE RoE		;Plotbereich angeben [Anzeige/Grenzen/Limiten/ANsicht/Fenster] <Fenster>: F
  "Anpassen"			;Plotmastab angeben (geplottet Millimeter=Zeichnungseinheiten) oder [Anpassen] <Anpassen>: A
  "Zentrum"			;Plotversatz angeben (x,y) oder [Zentrum] <Zentrum>: Z
  "_yes"			;Mit Plotstilen plotten? [Ja/Nein] <Ja>: J
  Plotstil			;Potstiltabellenname angeben oder [?] (. fr keinen Namen) <Linien_Reduziert.ctb>: Linien_Reduziert.ctb
  "_yes"			;Mit Linienstrken plotten? [Ja/Nein] <Ja>: J
  "W"				;Einstellung fr Schattierungs-Plot eingeben [Wie angezeigt/Drahtkrper/Verborgen/Gerendert] <Wie angezeigt>: W
  "_no"				;Plot in Datei ausgeben [Ja/Nein] <N>: N
  "_yes"			;nderungen an der Seiteneinrichtung speichern [Ja/Nein]? <N> J
  "_yes"			;Plotten fortsetzen [Ja/Nein] <J>: J
 )
 (princ)
)

;****************************************************************************************

;Befehl: DB                  = Drucken mit Brother-Drucker.
;Vorgabe Plotformat          = A3
;Vorgabe Ausrichtung         = Ouer
;Vorgabe Plotmastab         = Anpassen
;Vorgabe Potstiltabellenname = Linien_Reduziert.ctb

(defun c:DB (/ LuE RoE)
 (defun *error* (msg) (princ msg)(princ) )
 (setvar "cmdecho" 0)
 (setvar "osmode" 109)
  
 (INITGET "H Q")
 (setq Ausrichtung (getkword (strcat "Ausrichtung: (H)och oder (Q)uer  <Q>: ")))
 (if (or (= Ausrichtung nil) (= Ausrichtung ""))
  (setq Ausrichtung "Quer")
  (setq Ausrichtung "Hoch")
 )
 (princ (strcat "Die Ausrichtung ist: "Ausrichtung"\n"))
  
 (INITGET "O R")
 (setq Plots (getkword (strcat "Plotstil: (O)riginal oder (R)eduziert <R>: ")))
 (if (or (= Plots nil) (= Plots ""))
  (setq Plotstil "Linien_Reduziert.ctb")
  (setq Plotstil "Linien_Original.ctb")
 )
 (princ (strcat "Der Plotstil ist: "Plotstil"\n"))

 (INITGET "4 3")
  (setq Format (getreal (strcat "Format: A(4) oder A(3) <3>: ")))
  (if (or (= Format nil) (= Format ""))
   (setq Format "A3")		;genau die komplette Zeile wie unter Papieformat z.B "A3" oder ISO A3 (420.00 x 297.00 mm)
   (setq Format "A4")		;genau die komplette Zeile wie unter Papieformat z.B "A3" oder ISO A4 (297.00 x 210.00 mm)
  )
 (princ (strcat "Das Format ist: "Format"\n"))
  
 (setq LuE (getpoint "\nLinke untere Fensterecke whlen: "))
 (setq RoE (getcorner LuE "\nRechte obere Fensterecke whlen: "))
 
 (command
  "_.-plot"			;Befehl: -plot
  "_yes"			;Detaillierte Plotkonfiguration? [Ja/Nein] <Nein>: J
  "Modell"			;Layoutnamen eingeben oder [?] <Modell>: Vorgabe bernehmen
  "Brother DCP-6690CW.pc3"	;Ausgabegertname eingeben oder [?] <FreePDF.pc3>: Brother DCP-6690CW.pc3
  Format			;Papierformat angeben oder [?] <A3>: A3
  "Millimeter"			;Papiereinheiten angeben [Zoll/Millimeter] <Millimeter>: M
  Ausrichtung			;Ausrichtung der Zeichnung angeben [Hochformat/Querformat] <Querformat>: Q
  "_no"				;Auf dem Kopf plotten? [Ja/Nein] <Nein>: N
  "Fenster" LuE RoE		;Plotbereich angeben [Anzeige/Grenzen/Limiten/ANsicht/Fenster] <Fenster>: F
  "Anpassen"			;Plotmastab angeben (geplottet Millimeter=Zeichnungseinheiten) oder [Anpassen] <Anpassen>: A
  "Zentrum"			;Plotversatz angeben (x,y) oder [Zentrum] <Zentrum>: Z
  "_yes"			;Mit Plotstilen plotten? [Ja/Nein] <Ja>: J
  Plotstil			;Potstiltabellenname angeben oder [?] (. fr keinen Namen) <Linien_Reduziert.ctb>: Linien_Reduziert.ctb
  "_yes"			;Mit Linienstrken plotten? [Ja/Nein] <Ja>: J
  "W"				;Einstellung fr Schattierungs-Plot eingeben [Wie angezeigt/Drahtkrper/Verborgen/Gerendert] <Wie angezeigt>: W
  "_no"				;Plot in Datei ausgeben [Ja/Nein] <N>: N
  "_yes"			;nderungen an der Seiteneinrichtung speichern [Ja/Nein]? <N> J
  "_yes"			;Plotten fortsetzen [Ja/Nein] <J>: J
 )
 (princ)
)

;****************************************************************************************
